Packages - Bug #1200

[icedove] Icedove 45.7.0 and confirmation of building process
2017-01-29 02:53 AM - eliotime3000

Status: fixed % Done: 100%
Priority: critical
Assignee:

Category:

Description
Hi.

I've realized about the Icedove GIT repo, and it says that "45.5.0 is the latest one".

https://git.parabola.nu/packages/icedove.qgit

However, will you still taking the source code of Icedove from Debian repos or will use the official Thunderbird source code and
rebrand it, like lceweasel? Because recently from the ABSLibre repo, it looks like you're just taking the source code of Debian or
something like that.

https://qit.parabola.nu/abslibre.qgit/log/libre/icedove

Thanks.
PS: | realized that Thunderbird haves serious critical bugfixes that involves the data leakage via JavaScript and/or anothers.

https://www.mozilla.org/en-US/security/advisories/mfsa2017-03/
https://www.mozilla.org/en-US/thunderbird/45.7.0/releasenotes/

History

#1 - 2017-01-30 04:58 AM - Anonymous
- Status changed from open to in progress
eliotime3000 wrote:

Hi.

I've realized about the Icedove GIT repo, and it says that "45.5.0 is the latest one".

45.5.0 is the latest version which contains Icedove branding, not the latest Icedove package.
However, will you still taking the source code of Icedove from Debian repos or will use the official Thunderbird source code and rebrand it, like

Iceweasel? Because recently from the ABSLibre repo, it looks like you're just taking the source code of Debian or something like that.

| use Firefox from Debian and rebrand it for Iceweasel, otherwise Icedove is different since Debian devs are migrating Icedove to Thunderbird inside
the Icedove package (eg. the current version of Icedove which is 45.6.0 was rebranded to Thunderbird), i suppose it will be renamed to Thunderbird
soon.

PS: | realized that Thunderbird haves serious critical bugfixes that involves the data leakage via JavaScript and/or anothers.

https://www.mozilla.org/en-US/security/advisories/mfsa2017-03/
https://www.mozilla.org/en-US/thunderbird/45.7.0/releasenotes/

Ok, thanks for let me know. :)

#2 - 2017-01-30 11:52 PM - eliotime3000
Emulatorman wrote:

eliotime3000 wrote:

Hi.
I've realized about the Icedove GIT repo, and it says that "45.5.0 is the latest one".

45.5.0 is the latest version which contains Icedove branding, not the latest Icedove package.

Thanks by clarify this.
However, will you still taking the source code of Icedove from Debian repos or will use the official Thunderbird source code and rebrand it,

like Iceweasel? Because recently from the ABSLibre repo, it looks like you're just taking the source code of Debian or something like that.

| use Firefox from Debian and rebrand it for Iceweasel, otherwise Icedove is different since Debian devs are migrating Icedove to Thunderbird
inside the Icedove package (eg. the current version of Icedove which is 45.6.0 was rebranded to Thunderbird), i suppose it will be renamed to
Thunderbird soon.

Oh, Interesting. | realized that the the Parabola version of Iceweasel, since version 45, | realized that you use a few different flags for compile it.
However, the arival of Thunderbird 52 on Debian is practically evident, due to Thunderbird is based on the ESR branch of Firefox, and maybe will
arrive when it release the 52.1.0 version.

https://www.mozilla.org/en-US/firefox/organizations/faq/

For now, the experimental repo of Debian released Thunderbird in the same version that is avariable Icedove, which is avariable in the unstable and
stable repos.

https://packages.debian.org/experimental/thunderbird

PS: | realized that Thunderbird haves serious critical bugfixes that involves the data leakage via JavaScript and/or anothers.

https://www.mozilla.org/en-US/security/advisories/mfsa2017-03/
https://www.mozilla.org/en-US/thunderbird/45.7.0/releasenctes/

Ok, thanks for let me know. :)

#3 - 2017-02-16 08:05 PM - Anonymous
- % Done changed from 0 to 100

- Status changed from in progress to fixed
